Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: [OPGELOST] Nieuwe ATI-driver ook naar 8.04?  (gelezen 818 keer)

Offline JvH

  • Lid
  • Steunpunt: Nee
[OPGELOST] Nieuwe ATI-driver ook naar 8.04?
« Gepost op: 2008/11/12, 11:23:04 »
Op het moment draai ik een triple boot: Vista + Ubuntu 8.04 + Ubuntu 8.10.
8.04 wil ik aanhouden als stabiele versie, en 8.10 is vooral om te experimenteren met nieuwe software en updates.
Het enige probleem dat ik in 8.04 heb is dat er geen restricted driver beschikbaar is voor mijn ATI-kaart (HD4870) - die is nu alleen in 8.10 te installeren via Hardware Drivers.

=> Zou het zo kunnen zijn dat men besluit die nieuwe driver ook toe te voegen aan 8.04 als hij in 8.10 stabiel genoeg bevonden wordt?

=> Zo nee: wat zouden jullie me aanraden om te doen om toch ondersteuning voor mijn videokaart te krijgen:
  - In Synaptic de backports inschakelen om zo aan de nieuwe driver te komen (als dat ├╝berhaupt mogelijk is)
  - Van de site van ATI de nieuwste driver downloaden
  - Iets anders...?
« Laatst bewerkt op: 2009/02/06, 15:24:40 door JvH »

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: Nieuwe ATI-driver ook naar 8.04?
« Reactie #1 Gepost op: 2008/11/12, 12:56:52 »
Je kan inderdaad de backports aanzetten om nieuwere software binnen te krijgen. Ik weet alleen niet of daar ook drivers bij zullen zitten. Ik ben bang van niet.

Je zou een nieuwe driver kunnen downloaden via Envy, dan krijg je als het goed is ook de laatste versie.
Evt. kan je ook kijken naar de radeonhd drivers, die zouden ook met jouw kaart moeten werken.

Offline JvH

  • Lid
  • Steunpunt: Nee
Re: Nieuwe ATI-driver ook naar 8.04?
« Reactie #2 Gepost op: 2008/11/12, 20:31:04 »
Jammer, Envy herkent mijn videokaart ook niet. En de driver die ik er handmatig mee zou kunnen installeren is erg oud (8.6).

Het installeren van de radeon-driver is me nog wat te hoog gegrepen. Ik had in Synaptic het pakket xserver-xorg-video-radeonhd geinstalleerd. Vervolgens in xorg.conf het volgende toegevoegd:
Section "Device"
Identifier "Configured Video Device"
Driver "radeonhd"
EndSection

Section "Extensions"
Option "Composite" "Off"
EndSection

Section "ServerFlags"
Option "AIGLX" "Off"
EndSection
Maar klaarblijkelijk was die oplossing wat te kort door de bocht. Na opnieuw te hebben opgestart kwam ik in 'low-graphics mode' terecht, waar ik de kans kreeg handmatig mijn driver+monitor in te stellen. Maar ook dat mocht niet baten...

EDIT: ik zal morgen eens de installer van de site van ATI downloaden. Kijken of ik daar meer geluk mee heb...
« Laatst bewerkt op: 2008/11/12, 20:56:53 door JvH »

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: Nieuwe ATI-driver ook naar 8.04?
« Reactie #3 Gepost op: 2008/11/13, 20:01:42 »
JvH, Hoe word je kaart in 8.0.4 herkend? Ik bedoel welke driver is gebruikt voor die Ati kaart.
Doe eens het volgende: (Zit momenteel in mini8.10 Xfce, dus even uit het hoofd)
Via terminal: gksudo displayconfig-gtk  (Daar kan je zien welke driver er gebruikt word.)
Ook je monitor, resolutie, e.d. kan je hier instellen.
Let Op! Werkt niet in 8.10
Hopelijk heb je hier iets aan.

Offline JvH

  • Lid
  • Steunpunt: Nee
Re: Nieuwe ATI-driver ook naar 8.04?
« Reactie #4 Gepost op: 2008/11/13, 20:23:34 »
Hoi heir4c,

In die betreffende applicatie stond hij altijd op 'vesa' ingesteld. Mijn monitor werd aangegeven als 'Plug 'n Play'. Kreeg ook vaak vreemde fouten met displayconfig-gtk. Instellingen werden ook nooit goed doorgevoerd...
Helaas wilde het met de installer van de ATI-site ook niet lukken. Zelfde resultaat (low graphics mode, en driver werd nog steeds niet herkend). Waarschijnlijk doe ik iets totaal verkeerd, moet ook eerlijk bekennen dat ik niet goed snap wat ik doe.

Hoe dan ook, ik heb uiteindelijk maar besloten om 8.04 te laten varen en verder te gaan op uitsluitend 8.10. Loopt nu sowieso al acceptabel, in bepaalde opzichten zelfs beter, en dat kan de komende maanden alleen maar beter worden lijkt me zo :D

Iig dank allebei voor de reacties. Als de driverondersteuning bij de volgende LTS beter is (ga ik wel vanuit) houd ik die wel aan tot de daaropvolgende LTS.